## visad.data.in
Interface DataInputSource

All Superinterfaces:
  DataInputStream

All Known Implementing Classes:
  DODSSource

public interface DataInputSource
extends DataInputStream

Interface for sources of VisAD data objects.

Method Summary
`void` `open(String spec)` Opens an existing dataset.

Methods inherited from interface visad.data.in.DataInputStream
`readData`

Method Detail

### open

    public void open(String spec)
              throws BadFormException,
                     RemoteException,
                     VisADException

  Opens an existing dataset.

  Parameters:
    `spec` - The specification of the existing dataset.
  Returns:
    The VisAD data object corresponding to the specified dataset.
  Throws:
    `BadFormException` - The DODS dataset is corrupt.
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.